<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-2019 Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access');
JHtml::addIncludePath(JPATH_COMPONENT.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'html');
use Joomla\CMS\Factory;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Associations;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\Router\Route;
use Joomla\Registry\Registry;

$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->useScript('form.validate');
$wa->useScript('keepalive');


$app = JFactory::getApplication();
$input = $app->input;

$this->ignore_fieldsets = array_merge(array('jmetadata', 'item_associations'));
$this->useCoreUI = true;

// In case of modal
$isModal = $input->get('layout') === 'modal';
$layout  = $isModal ? 'modal' : 'edit';
$tmpl    = $isModal || $input->get('tmpl', '', 'cmd') === 'component' ? '&tmpl=component' : '';
?>
<form action="<?php JRoute::_('index.php?option=com_abook&layout=' . $layout . $tmpl . '&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate">
	<div class="form-horizontal">
		<?php echo HTMLHelper::_('uitab.startTabSet', 'myTab', array('active' => 'general')); ?>
		<?php echo HTMLHelper::_('uitab.addTab', 'myTab', 'general', Text::_('COM_ABOOK_GENERAL_OPTIONS')); ?>
		<fieldset class="adminform">
			<legend><?php echo empty($this->item->id) ? JText::_('COM_ABOOK_ADD_NEW_LEND') : JText::sprintf('COM_ABOOK_EDIT_LEND', $this->item->id); ?></legend>
                        <?php echo $this->form->renderField('book_id'); ?>
			<fieldset class="options-form">
			<legend><?php echo JText::_('COM_ABOOK_LEND_SELECT_USER'); ?></legend>
			<div class="row">
				<div class="col-lg-5">
	                                <?php echo $this->form->renderField('user_id'); ?>
				</div>
				<div class="col-lg-1 text-center">
					<div class="control-label"><?php echo JText::_('COM_ABOOK_OR');?></div>
				</div>
				<div class="col-lg-5">
        		                <?php echo $this->form->renderField('custom_user_name'); ?>
                	                <?php echo $this->form->renderField('custom_user_email'); ?>
				</div>
                        </div>
			</fieldset>
			<div class="row">
				<div class="col-md-4">
	                        <?php echo $this->form->renderField('lend_out'); ?>
        	                <?php echo $this->form->renderField('lend_in'); ?>
                	        <?php echo $this->form->renderField('state'); ?>
				<?php echo $this->form->renderField('id'); ?>
				</div>
				<div class="col-md-6">
					<?php echo $this->form->renderField('note'); ?>
				</div>
			</div>
                </fieldset>
		<?php echo $this->form->getInput('admin_id'); ?>
		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
		<?php echo HTMLHelper::_('uitab.endTab'); ?>
		<?php echo HTMLHelper::_('uitab.endTabSet'); ?>
	</div>
</form>

<div class="clearfix clr"></div>

<!--

                <?php if (empty($this->items)) : ?>
                        <div class="alert alert-no-items">
                                <?php echo JText::_('JGLOBAL_NO_MATCHING_RESULTS'); ?>
                        </div>
                <?php else : ?>
                <table class="table table-striped" id="bookList">
                        <thead>
                                <tr>
                                        <th width="1%" style="min-width:55px" class="nowrap center">
                                                <?php echo JText::_('JSTATUS');?>
                                        </th>
                                        <th>
                                                <?php echo JText::_('COM_ABOOK_TITLE');?>
                                        </th>
                                        <th class="hidden-phone">
                                                <?php echo JText::_('COM_ABOOK_LIBRARY');?>
                                        </th>
                                        <th width="1%" class="hidden-phone">
                                                <?php echo JText::_('COM_ABOOK_CATALOG');?>
                                        </th>
                                        <th width="10%" class="nowrap hidden-phone">
                                                <?php echo JText::_('JGLOBAL_USERNAME');?>
                                        </th>
                                        <th width="10%" class="nowrap hidden-phone">
                                                <?php echo JText::_('COM_ABOOK_LEND_OUT');?>
                                        </th>
                                        <th width="10%" class="nowrap hidden-phone">
                                                <?php echo JText::_('COM_ABOOK_LEND_IN');?>
                                        </th>
                                        <th width="1%" class="nowrap hidden-phone">
                                                <?php echo JText::_('JGRID_HEADING_ID');?>
                                        </th>
                                </tr>
                        </thead>
		                        <tbody>
                        <?php
				$user   = JFactory::getUser();
				$userId         = $user->get('id');
                                foreach ($this->items as $i => $item) :
                                $canCreate  = $user->authorise('core.create', 'com_abook.category.'.$item->catid);
                                $canEdit    = $user->authorise('core.edit', 'com_abook.:.'.$item->id);
                                $canCheckin = $user->authorise('core.manage', 'com_checkin') || $item->checked_out==$userId || $item->checked_out==0;
                                $canEditOwn = $user->authorise('core.edit.own', 'com_abook.lend.'.$item->id) && $item->user_id == $userId;
                                $canChange  = $user->authorise('core.edit.state', 'com_abook.lend.'.$item->id) && $canCheckin;
                        ?>
                                <?php switch($item->state){
                                        case 0:
                                                $state="label-important";
                                                $late=date('Y-m-d') > $item->lend_in?"<i class='icon-info'></i>":'';
                                                $state_label=JText::_('COM_ABOOK_LEND');
                                                break;
                                        case 1:
                                                $state="label-success";
                                                $state_label=JText::_('COM_ABOOK_RETURN');
                                                break;
                                        case 2:
                                                $state="label-warning";
                                                $state_label=JText::_('COM_ABOOK_REQUEST');
                                                break;
                                }
                                ?>
                                <tr class="<?php //echo $css_class;?>" sortable-group-id="<?php echo $item->catid; ?>">
                                        <td>
                                                <span class="label <?php echo $state;?>"><?php echo $state_label;?></span>
                                        </td>
                                        <td class="has-context nowrap">
                                                <div class="pull-left">
                                                <?php if ($item->checked_out) : ?>
                                                        <?php echo JHtml::_('jgrid.checkedout', $i, $item->owner, $item->checked_out_time, 'lends.', $canCheckin); ?>
                                                <?php endif; ?>
                                                <?php if ($canEdit || $canEditOwn) : ?>
                                                        <a href="<?php echo JRoute::_('index.php?option=com_abook&view=lend&task=lend.edit&id='.$item->id);?>" title="<?php echo JText::_('JACTION_EDIT'); ?>"><?php echo $this->escape($item->title); ?></a>
                                                <?php else: ?>
                                                        <span><?php echo $this->escape($item->title); ?></span>
                                                <?php endif; ?>
                                                <p class="small"><?php echo JText::_('COM_ABOOK_ISBN');?>: <?php echo $item->isbn; ?></p>
                                                </div>
                                        </td>
                                        <td class="small hidden-phone">
                                                <?php echo $item->library; ?>
                                        </td>
                                        <td class="small hidden-phone">
                                                <?php echo $item->catalogo; ?>
                                        </td>
                                        <td class="small hidden-phone">
                                                <?php echo $item->user_name; ?>
					                                        </td>
                                        <td class="nowrap small hidden-phone">
                                                <?php echo JHtml::_('date', $item->lend_out, JText::_('DATE_FORMAT_LC4')); ?>
                                        </td>
                                        <td class="nowrap small hidden-phone">
                                                <?php echo JHtml::_('date', $item->lend_in, JText::_('DATE_FORMAT_LC4')); ?> <?php //echo $date;?>
                                        </td>
                                        <td class="center hidden-phone">
                                                <?php echo $item->id; ?>
                                        </td>
                                </tr>
                                <?php endforeach;?>
                        </tbody>
                </table>
                <?php endif; ?>
-->
<p><?php echo JHTML::_('credit.credit');?></p>
