<?php
/**
 * @package     Abook
 * @subpackage  com_abook
 *
 * @copyright   (C) 2021 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Layout\LayoutHelper;

$displayData = [
	'textPrefix' => 'COM_ABOOK_TAGS',
	'formURL'    => 'index.php?option=com_abook&view=tags',
	'icon'       => 'icon-tag tags',
];

$user = Factory::getApplication()->getIdentity();

if ($user->authorise('core.create', 'com_abook') || count($user->getAuthorisedCategories('com_abook', 'core.create')) > 0)
{
	$displayData['createURL'] = 'index.php?option=com_abook&task=tag.add';
}

echo LayoutHelper::render('joomla.content.emptystate', $displayData);
